__gnu_profile::__trace_base< __object_info, __stack_info > Class Template Reference

## Public Member Functions

void | __add_object (__object_t object, __object_info __info)
void | __collect_warnings (__warning_vector_t &__warnings)
__object_info * | __get_object_info (__object_t __object)
void | __retire_object (__object_t __object)
void | __write (FILE *__f)

## Protected Attributes

const char * | __id

## Detailed Description

### template<typename __object_info, typename __stack_info>
class __gnu_profile::__trace_base< __object_info, __stack_info >

Base class for all trace producers.

Definition at line 183 of file profiler_trace.h.

The documentation for this class was generated from the following file:

- profiler_trace.h